Subject: [Idr] [Technical Errata Reported] RFC4271 (3673)

From: RFC Errata System <[email-masked]>
Date: Fri, 28 Jun 2013 03:36:35 -0700 (PDT)

The following errata report has been submitted for RFC4271,
"A Border Gateway Protocol 4 (BGP-4)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4271&eid=3673

--------------------------------------
Type: Technical
Reported by: William McCall <[email-masked]>

Section: 5

Original Text
-------------
Path attributes fall into four separate categories:

         1. Well-known mandatory.
         2. Well-known discretionary.
         3. Optional transitive.
         4. Optional non-transitive.

Corrected Text
--------------
Path attributes fall into five separate categories:

         1. Well-known mandatory.
         2. Well-known discretionary.
         3. Well-known.
         4. Optional transitive.
         5. Optional non-transitive.

Notes
-----
Local pref is only a "well-known" attribute as it fails the definition for the behavior as a mandatory attribute and it is not exactly discretionary per 5.1.5's definition of local pref and section 5's definition of discretionary which states:

"5.1.5.  LOCAL_PREF

   LOCAL_PREF is a well-known attribute that SHALL be included in all
   UPDATE messages that a given BGP speaker sends to other internal
   peers."

Section 5's definition of discretionary:

" [...]Others are discretionary and MAY
   or MAY NOT be sent in a particular UPDATE message."

As a well-known mandatory attribute would result in a NOTIFICATION per section 6.3, it cannot be well-known mandatory because it is only for internal peers. Thus, it is a separate category.

6.3
"   If any of the well-known mandatory attributes are not present, then
   the Error Subcode MUST be set to Missing Well-known Attribute.  The
   Data field MUST contain the Attribute Type Code of the missing,
   well-known attribute."

In a future revision, a new term would probably be best to describe this. However, the categorization of attributes is misleading for now and the simplest approach is to add the new category already used by 5.1.5.

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4271 (draft-ietf-idr-bgp4-26)
--------------------------------------
Title               : A Border Gateway Protocol 4 (BGP-4)
Publication Date    : January 2006
Author(s)           : Y. Rekhter, Ed., T. Li, Ed., S. Hares, Ed.
Category            : DRAFT STANDARD
Source              : Inter-Domain Routing
Area                : Routing
Stream              : IETF
Verifying Party     : IESG